import greenfoot.*;
import java.awt.Color;
import java.awt.Font;

public class PlayAgain extends Actor
{
    private GreenfootImage img = new GreenfootImage(250, 50);
    public PlayAgain()
    {
        drawButton();
        this.setImage(img);
    }

    public void act() 
    {
        drawButton();
        if (Greenfoot.mouseClicked(this))
        {
            Greenfoot.setWorld(new XRaceWorld());
        }
    }

    public void drawButton()
    {
        img.setColor(Color.black);
        img.fillRect(0, 0, 250, 50);
        img.setColor(Color.white);
        img.setFont(img.getFont().deriveFont(Font.BOLD, 40));
        img.drawString("PLAY AGAIN", 5, 40);
    }
}
