import greenfoot.*;
import java.awt.Color;
import java.awt.Font;

public class Score extends Actor
{
    private GreenfootImage img = new GreenfootImage(401,51);
    private int meters = 0;
    
    public Score()
    {
        drawScore();
        this.setImage(img);
    }
    public Score(int score)
    {
        meters = score;
        drawScore();
        this.setImage(img);
    }
    public void act() 
    {
        if (getWorld() instanceof XRaceWorld) meters++;
        drawScore();
    }
    public void drawScore()
    {
        img.clear();
        img.setColor(Color.black);
        img.fillRect(0,0,400,50);
        img.setColor(Color.white);
        img.setFont(img.getFont().deriveFont(Font.BOLD, 40));
        img.drawString("SCORE: " + (meters/100)/10.0 + " km", 40, 40);
    }
    public int getScore()
    {
        return meters;
    }
}
